QGIS Application - Bug report #12514
Getting weird lines in Print Composer
2015-04-06 01:09 AM - Christoph Lambio

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 20659
Description

| am on OS X 10.10 and have QGis 2.8 installed.

I am having a customized CRS and | want to create graticules for that CRS.
The graticules | created the following.

Set Projection of Project to WGS 84
Create a VectorGird with the extend of my layer which the graticules are supposed to cover
Densify the Geometry

Then | set the Projection of my project back to my custom CRS.

In the Crint Composer, all looks good.
But, when saving the image as .jpg, .png or .pdf - | am getting some weird lines...

http://s21.postimg.org/fl8aldi3b/good.png

http://s21.postimg.org/yeyow45p3/bad.jpg

Maybe | should notice that | am using the Plug In "Clip to Hemisphere" to process my layer which the graticules are supposed to cover.
Using that Plug In, | have to uncheck for each layer in my project "Simplify geometry", otherwise it gets displayed weird.

History

#1 - 2015-04-06 02:01 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you please share your project file too? | need this to test with your custom CRS.

#2 - 2015-04-06 02:20 AM - Christoph Lambio
- File project.zip added

Let me know if you need more!

#3 - 2015-04-13 11:12 AM - Steven Kay
I think you might need to run the 'clip to hemisphere' on the graticule layer too.

#4 - 2015-04-13 01:12 PM - Christoph Lambio

Steven Kay wrote:

| think you might need to run the ‘clip to hemisphere' on the graticule layer too.

Nope. | run the "Clip to Hemisphere" only on the worldmap.

Then in WGS82 | create the graticule layer, densify geomtry on that layer and finally set the projection to my cutom CRS.

#5 - 2015-05-10 01:03 AM - Giovanni Manghi

- Target version changed from Version 2.8 to Version 2.8.2

#6 - 2015-05-22 04:40 AM - Giovanni Manghi

- Category changed from Vectors to Map Composer/Printing

- Target version changed from Version 2.8.2 to Future Release - Lower Priority
- Affected QGIS version changed from 2.8.1 to master

- OS version deleted (10.10)

- Operating System deleted (OS X)

- Status changed from Feedback to Open

#7 - 2017-05-01 01:07 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#8 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

Files
shape.zip 5.86 KB 2015-04-05 Christoph Lambio
project.zip 2.55 MB 2015-04-06 Christoph Lambio
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

